$(document).ready(function(){
	
	idInspeccion = $('#idInspeccion').val();
	
	//Si viene de la búsquda de inspecciones mostramos la opción de volver
	if($("#urlVerExpediente").val() === "true"){
		$("#btnVolverABusqueda").attr("hidden", "true");
	} else {
		$("#btnVolverABusqueda").removeAttr("hidden");
	}
		
	$.ajax({
        url: "/ab79WebAppWar/fichadeinspeccion/cargarDatosExpediente/"+idInspeccion,
        contentType: "application/json",
        async:false,
        type: "GET",
        success: function(json) {
        	if(""!=json){
                var data = JSON.parse(json);
                $("#inspeccion").html(data.inspeccion.identificadorInspeccion);
                
                if(data.datosDirecciones.identificadorEstablecimiento !== ""){
                	$("#identificadorExpediente").val(data.urlAB63+"establecimientos/maint/"+data.datosDirecciones.identificadorEstablecimiento);
                }              
                
                if(data.inspeccion.idOrigenInspeccion == ORIGEN_AYUDAS || data.inspeccion.idOrigenInspeccion === ORIGEN_DENUNCIAS || data.inspeccion.idOrigenInspeccion === ORIGEN_ESTABLECIMIENTOS_COMERCIALES){
                	if(data.folderNumber !== null){
                		$("#expediente").html("<a href='" + data.aplicacion.urlAplicacion + data.folderId + "' target='_blank' style='color:black'>"+data.folderNumber+"</a>");
                		$("#expediente").css("text-decoration", "underline");
                	} else {
                		$("#expediente").html("<a href='" + data.aplicacion.urlAplicacion + data.folderId + "' target='_blank' style='color:black'>"+$.rup.i18n.app.mensajes.vacio+"</a>");
                		$("#expediente").css("text-decoration", "underline");
                	}
                	
                }else if(data.inspeccion.idOrigenInspeccion == ORIGEN_CENSO ||data.inspeccion.idOrigenInspeccion == ORIGEN_CAMPAINA ||data.inspeccion.idOrigenInspeccion == ORIGEN_INSPECCION_OFICIO){
                	if(data.folderNumber !== null){
	                	$("#expediente").html("<a href='" + data.aplicacion.urlAplicacion + data.folderId + "' target='_blank' style='color:black'>"+data.folderNumber+"</a>");
	                	$("#expediente").css("text-decoration", "underline");	
                	} else {
                		$("#expediente").html("<a href='" + data.aplicacion.urlAplicacion + data.folderId + "' target='_blank' style='color:black'>"+$.rup.i18n.app.mensajes.vacio+"</a>");
                		$("#expediente").css("text-decoration", "underline");
                	}
                	
                }else if(data.inspeccion.idOrigenInspeccion == ORIGEN_BUZON_FRAUDE){
                	if(data.folderNumber !== null){
                		$("#expediente").html(data.folderNumber);
                	} else {
                		$("#expediente").html($.rup.i18n.app.mensajes.vacio);
                	}
                	
                }else{
                	if(data.folderNumber !== null){
                		$("#expediente").html(data.folderNumber);
                	} else {
                		$("#expediente").html($.rup.i18n.app.mensajes.vacio);
                	}
                	
                }
                
                if(data.titulo != null && data.titulo != "" && data.titulo.length > 53){
                	$("#titulo").html(data.titulo.substring(0, 50)+"...");
                	$("#titulo").attr('title', data.titulo);
                }else{         	
                	$("#titulo").html(data.titulo);
                	$("#titulo").attr('title', "");
                }
            	
            	if(data.inspeccion.propuestaSancion != null && data.inspeccion.propuestaSancion.identificadorProSanDesc != null){
            		var idPropuestaSancionRemoto = comprobarPropuestaSancionRemoto($("#idInspeccion").val());
					$("#idPropuestaSancion").parent().css("display", "block");
					$("#idPropuestaSancion").parent().css("margin-left", "2em");
                	$("#idPropuestaSancion").html("<a href='" + $("#urlAB59Ficha").val() + 'fichapropuestasancion/maint/' + idPropuestaSancionRemoto + "' target='_blank' style='color:black'>"+data.inspeccion.propuestaSancion.identificadorProSanDesc+"</a>");
                	$("#idPropuestaSancion").css("text-decoration", "underline");	
				}else{
					$("#idPropuestaSancion").parent().css("display", "none");
				}

            	if ("es"==$.rup_utils.get("language")){
            		$("#procedimiento").html(data.procedimientos.descripcionEs);
            	}else{
            		$("#procedimiento").html(data.procedimientos.descripcionEu);
            	}  
            	
            	if (data.idExpedienteOrigen != 0){
	            	$("#btnInfoExpPadre").removeAttr("hidden");
	            	$("#verDocumentosOrigen").removeAttr("hidden");
                	$("#expedientePadre").html("<a href='" + data.expedienteOrigen.aplicacion.urlAplicacion + data.expedienteOrigen.folderId + "' target='_blank' style='color:black'>" + data.expedienteOrigen.folderNumber+"</a>");
                	$("#expedientePadre").css("text-decoration", "underline");
	            	$("#tituloPadre").html(data.expedienteOrigen.titulo);
	            	
	            	if ("es"==$.rup_utils.get("language")){
	            		$("#procedimientoPadre").html(data.expedienteOrigen.procedimientos.descripcionEs);
	            	}else{
	            		$("#procedimientoPadre").html(data.expedienteOrigen.procedimientos.descripcionEu);
	            	}
            	}else{
            		$("#btnInfoExpPadre").attr("hidden","true");
            		$("#verDocumentosOrigen").attr("hidden","true");
            	}
            	
            	if (data.inspeccion.enviadoTablet == ENVIADO_TABLET_SI){
            		$("#tabletToggleCheck").prop("checked", true);
            	} else {
            		$("#tabletToggleCheck").prop("checked", false);
            	}
            		
            	/* Cargar los campos ocultos */
            	$("#idInspeccion").val(data.inspeccion.idInspeccion);
            	$("#idProcedimiento").val(data.idProcedimiento);
            	$("#idExpediente").val(data.idExpediente);
            	$("#folderId").val(data.folderId);
            	$("#procedureId").val(data.procedimientos.codProcedureId);
            	$("#expediente").parent().css("display", "block");
            	if(data.inspeccion.idOrigenInspeccion === ORIGEN_CAMPAINA || data.inspeccion.idOrigenInspeccion === ORIGEN_INSPECCION_OFICIO){
            		$("#origenCampainaOficio").val(true);
            	}
            	$("#expediente").prev().removeClass("expedienteCabeceraVacio");
            	$("#btnAsociarEstablecimientoInspeccion").attr("hidden", "true");
            	
            	if (data.inspeccion.idOrigenInspeccion === ORIGEN_INSPECCION_OFICIO && 
            			(data.folderNumber === null || data.folderNumber === "" || typeof data.folderNumber === 'undefined')) {
            		
            		$("#btnElimarInspeccionOficio").removeAttr("hidden");
            		$("#btnElimarInspeccionOficio").on("click", function (event) {
            			$.rup_messages("msgConfirm", {
            				title: $.rup.i18n.app.eliminarInspeccionOficio.title,
            				message: $.rup.i18n.app.eliminarInspeccionOficio.confirmacion,
            				OKFunction:function(){				

            					$.ajax({
                        			url: "/ab79WebAppWar/inspecciones/eliminarInspeccionOficioSinExpedienteAbierto/"+idInspeccion,
                        			type: "GET",
                        			success: function(data){
                        				$("#btnVolverABusqueda").click();           
                        			},
                    				error: function(){
                    					$("#id_capa").rup_feedback({ gotoTop : true, block : false});
                    					$("#id_capa").rup_feedback("set", $.rup.i18n.app.eliminarInspeccionOficio.error, "error");
                    					desbloquearInterfaz();
                    				}
                        		});
            					
            				}
            			});	
            			
            		});
            	}
            	
            	
            //La inspección no tiene expediente
        	} else{

        		$.ajax({
        			url: "/ab79WebAppWar/fichadeinspeccion/cargarDatosRelEstIns/"+idInspeccion,
        	        contentType: "application/json",
        			type: "GET",
        			async: false,
        			success: function(data){
        				data = JSON.parse(data);
        				$("#inspeccion").html(data.inspeccion.identificadorInspeccion);
        				
        				if(data.identificadorEstablecimiento !== ""){
        					$("#identificadorExpediente").val(data.urlAB63+"establecimientos/maint/" + data.identificadorEstablecimiento);
        				}
        				if(data.titulo != null){
        					$("#titulo").parent().css("display", "block");
        					$("#titulo").parent().css("margin-left", "2em");
        					
        					if(data.titulo != "" && data.titulo.length > 53){
    		                	$("#titulo").html(data.titulo.substring(0, 50)+"...");
    		                	$("#titulo").attr('title', data.titulo);
    		                }else{         	
    		                	$("#titulo").html(data.titulo);
    		                	$("#titulo").attr('title', "");
    		                }	
        				}else{
        					$("#titulo").parent().css("display", "none");
        				}

        				if(data.inspeccion.propuestaSancion != null && data.inspeccion.propuestaSancion.identificadorProSanDesc != null){
        					var idPropuestaSancionRemoto = comprobarPropuestaSancionRemoto($("#idInspeccion").val());
        					$("#idPropuestaSancion").parent().css("display", "block");
        					$("#idPropuestaSancion").parent().css("margin-left", "2em");
                        	$("#idPropuestaSancion").html("<a href='" + $("#urlAB59Ficha").val() + 'fichapropuestasancion/maint/' + idPropuestaSancionRemoto +  "' target='_blank' style='color:black'>"+data.inspeccion.propuestaSancion.identificadorProSanDesc+"</a>");
                        	$("#idPropuestaSancion").css("text-decoration", "underline");	
        				}else{
        					$("#idPropuestaSancion").parent().css("display", "none");
        				}
        				
        				if(data.inspeccion.idOrigenInspeccion == ORIGEN_CAMPAINA) {
        					if ("es"===$.rup_utils.get("language")){
	        					if(data.inspeccion.campaina != null){
	        						$("#procedimiento").html(data.inspeccion.campaina.procedimiento.descripcionEs);
	        					}
	                		}else{
	                			if(data.inspeccion.campaina != null){
	                				$("#procedimiento").html(data.inspeccion.campaina.procedimiento.descripcionEu);
	                			}                			
	                		}
        				}
        				
        				if(data.inspeccion.idOrigenInspeccion === ORIGEN_CAMPAINA || data.inspeccion.idOrigenInspeccion === ORIGEN_INSPECCION_OFICIO){
                    		$("#origenCampainaOficio").val(true);
                    	}
        				
        				$("#expediente").prev().addClass("expedienteCabeceraVacio");
        				$("#idInspeccion").val(data.inspeccion.idInspeccion);
        				if(data.inspeccion.campaina != null){
        					$("#idProcedimiento").val(data.inspeccion.campaina.procedimiento.idProcedimiento);
        					$("#procedureId").val(data.inspeccion.campaina.procedimiento.codProcedureId);
        				}
        				if(data.inspeccion.idOrigenInspeccion === ORIGEN_INSPECCION_OFICIO){
        					
        					if ("es"===$.rup_utils.get("language")){
								$("#procedimiento").html(data.procedimiento.descripcionEs);
							} else{
								$("#procedimiento").html(data.procedimiento.descripcionEu);
							}
        					
        					if(data.inspeccion.direccion.idDireccion === DIRECCION_COMERCIO){
        						$("#btnAsociarEstablecimientoInspeccion").attr("hidden", "true");
        					} else{
        						$("#btnAsociarEstablecimientoInspeccion").removeAttr("hidden");
        					}
        	            	
        	            	if (data.inspeccion.enviadoTablet == ENVIADO_TABLET_SI){
        	            		$("#tabletToggleCheck").prop("checked", true);
        	            	} else {
        	            		$("#tabletToggleCheck").prop("checked", false);
        	            	}
        					
        				}
        				
                		$("#inspeccionSinExpediente").val(true);
                		

                    	if (data.inspeccion.idOrigenInspeccion === ORIGEN_INSPECCION_OFICIO && 
                    			(data.folderNumber === null || data.folderNumber === "" || typeof data.folderNumber === 'undefined')) {
                    		
                    		$("#btnElimarInspeccionOficio").removeAttr("hidden");
                    		$("#btnElimarInspeccionOficio").on("click", function (event) {
                    			$.rup_messages("msgConfirm", {
                    				title: $.rup.i18n.app.eliminarInspeccionOficio.title,
                    				message: $.rup.i18n.app.eliminarInspeccionOficio.confirmacion,
                    				OKFunction:function(){				

                    					$.ajax({
                                			url: "/ab79WebAppWar/inspecciones/eliminarInspeccionOficioSinExpedienteAbierto/"+idInspeccion,
                                			type: "GET",
                                			success: function(data){
                                				$("#btnVolverABusqueda").click();           
                                			},
                            				error: function(){
                            					$("#id_capa").rup_feedback({ gotoTop : true, block : false});
                            					$("#id_capa").rup_feedback("set", $.rup.i18n.app.eliminarInspeccionOficio.error, "error");
                            					desbloquearInterfaz();
                            				}
                                		});
                    					
                    				}
                    			});	
                    			
                    		});
                    	}
        			}
        		});
        		
            	
        	}  	     	
        }
    });
	
	//propuestaValida -> no existe una propuesta de sancion para la inspeccion	
	var idPropuesta = comprobarPropuesta(idInspeccion);

	comprobarBotonesPropuesta(idPropuesta);
	
	$("#idPropuesta").val(idPropuesta);
	
	//Botón de Generar Documetos de Plantilla	
	$("#btnGenerarDoc").on("click", function (event) {
		var url;
		sessionStorage.removeItem("conExpedienteActuaciones");
		if($("#inspeccionSinExpediente").val() !== "true"){
			url = "/ab79WebAppWar/plantillas/maint/" + $("#idProcedimiento").val() +"/" + $("#idExpediente").val() + "/0";
		} else{
			url = "/ab79WebAppWar/plantillas/maint/" + $("#idProcedimiento").val() + "/0";
		}
		abrirGenerarDocumento(url);	
	});
	
	
	$("#plus").on("click", function () {		
		$("#minus").css("display","block");
		$("#plus").css("display","none");
	});
	
	$("#minus").on("click", function () {		
		$("#plus").css("display","block");
		$("#minus").css("display","none");
	});

	$("#btnVolverABusqueda").click(function() {
		sessionStorage.setItem("botonVolver", true);
		location.href = "/ab79WebAppWar/busquedainspecciones/maint";
	});

	$("#btnVerCenso").on("click", function () {
		window.open($("#identificadorExpediente").val(), '_blank');
	});
	
	$("#btnDocumentacionTablet").click(function() {
		abrirGenerarDocumento("/ab79WebAppWar/tablet/maint");
	});
	
	$("#tabletToggle").on('change', function() {
		var ids = [];
		ids[0] = idInspeccion;
	    if ($("#tabletToggleCheck").is(':checked')) {
	    	//Enviar a tablet
	    	$.ajax({
				url: CTX_PATH + "inspecciones/enviarTablet/" + ENVIADO_TABLET_SI,
				type: "POST",
				traditional: true,
				data: {valores:ids},
				success: function(){
					desbloquearInterfaz();
				},
				error: function(){
					desbloquearInterfaz();
				}
			});
	    }
	    else {
	    	//NO enviar a tablet
	    	$.ajax({
				url: CTX_PATH + "inspecciones/enviarTablet/" + ENVIADO_TABLET_NO,
				type: "POST",
				traditional: true,
				data: {valores:ids},
				success: function(){
					desbloquearInterfaz();
				},
				error: function(){
					desbloquearInterfaz();
				}
			});
	    }
	});
	
});

function abrirGenerarDocumento(urlDestino) {
	$("#dialogs").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: urlDestino ,
		autoOpen: true,
		modal: true,
		width: 1100,
		resizable: true,
		close : function(){
			$("#dialogs").rup_dialog("destroy");
			$("#dialogs").html("");	
		}

	});	
}
